/***************************************************************************
                          button.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _BUTTON_H_
#define _BUTTON_H_

#include "graficos_lib.h"
#include "formobj.h"
#include <string.h>

class Button:public FormObj {
public:
	Button(Form *, int x, int y, int f, char *, int action=Form::NONE);
	Button(Form *, int x, int y, int w, int h, int f, char *, int action=Form::NONE);
	virtual ~Button();

	virtual void Dibujar(bool focus);
	virtual void setFocus();
	virtual int width() { return r.w; }
	virtual int height() { return r.h; }

	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
	
	
	void OnClick(int (*f)(void)) { on_click = f; }
	inline int Value() { return action; }
	inline void setAlign(int i) { alinear = i; }
	inline void setImagen(int i) { imagen = i; }
protected:
	char *txt;
	bool pressed;
	int fuente;
	int action;
	int alinear;
	int imagen;
	int (*on_click)(void);
};


#endif;