/***************************************************************************
                          cdconsole.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _CDCONSOLE_H_
#define _CDCONSOLE_H_

#include <SDL.h>
#include "graficos_lib.h"

class CDConsole {
public:
	enum {NOCD, NOCDROM, PLAY, STOP};
	CDConsole();
	~CDConsole();

	inline int getStatus() { return estado; }
	void Play(int track);
	void Stop();
private:
	SDL_CD *cdrom;
	int estado;
};

#endif