/***************************************************************************
                          items.cpp  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright           : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "items.h"

Items::Items(Punto2D _pos, int t)
{
	switch (t)
	{
		case (LIFE_UP):
			img_it = Gra_LoadImage("Comunes/item_shield_up.png", true);
		break;
		case (ARMOR_UP):
			img_it = Gra_LoadImage("Comunes/item_shield_up.png", true);
		break;
		case (ION_UP):
			img_it = Gra_LoadImage("Comunes/item_ion_up.png", true);
		break;
	}
	img_cod = Gra_LoadImage("Comunes/item_back.png", true);
	//Gra_SetColorKey(img_it, 0xFF, 0x00, 0x00);
	pos = _pos;
	angulo = 0;
	type = t;
}

Items::~Items()
{
}

void Items::Dibujar()
{
	Gra_BlitImagen(img_cod, NULL, pos);
	Gra_BlitImagen(img_it, NULL, pos);
}

void Items::Mover()
{
	pos.setY( pos.Y() + 2*Gra_SpeedFactor() );
	angulo += 0.1;
	if (angulo > 2*PI) angulo = 0;
}