/***************************************************************************
                          label.cpp  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "label.h"

Label::Label(Form *p, int x, int y, int font, char *txt):FormObj(p)
{
	if (txt != NULL) {
		texto = new char[strlen(txt)+1];
		strcpy(texto, txt);
	} else texto = NULL;
	r.x = x;
	r.y = y;
	fuente = font;
	can_focus = false;
}

Label::~Label()
{
	if (texto!=NULL)
		delete [] texto;
}

void Label::Dibujar(bool focus)
{
	if (texto != NULL)
		Gra_Print(r.x, r.y, fuente, &parent->text_normal, -1, false, texto);
}

void Label::setFocus()
{
}

int Label::width()
{
	return Gra_TextWidth(fuente, texto);
}

int Label::height()
{
	return Gra_TextHeight(fuente, texto);
}
