/***************************************************************************
                          notebook.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _NOTEBOOK_H
#define _NOTEBOOK_H

#include "form.h"
#include "formobj.h"
//#include "lista.h"

class Tab {
public:
	Tab(char *);
	~Tab();
	void Visible(bool o);
	bool Visible() { return visible; }
	void addObject(FormObj *o) { objetos.Append(o); }
	char *Name() { return name; }
	int x() { return r.x; }
	int y() { return r.y; }
	int w() { return r.w; }
	int h() { return r.h; }
	void x(int x) { r.x = x; }
	void y(int y) { r.y = y; }
	void w(int w) { r.w = w; }
	void h(int h) { r.h = h; }
	bool isInside(int x, int y);
private:
	Lista<FormObj> objetos;
	bool visible;
	char *name;
	SDL_Rect r;
};

class NoteBook:public FormObj {
public:
	NoteBook(Form *form, int x, int y, int w, int h);
	virtual ~NoteBook();
	
	virtual void Dibujar(bool focus);
	virtual void setFocus();

	/* funciones de eventos */
	virtual void eventKeyDown(SDL_KeyboardEvent *);
	virtual void eventKeyUp(SDL_KeyboardEvent *);
	virtual void eventMouseDown(SDL_MouseButtonEvent *);
	virtual void eventMouseUp(SDL_MouseButtonEvent *);
	virtual void eventMouseMove(SDL_MouseMotionEvent *);
	
	void addTab(Tab *t);
protected:
	SDL_Rect frame;
	Lista<Tab> tabs;
	Tab *selected;
};

#endif