/***************************************************************************
                          constantes.h  -  description
                             -------------------
    begin                : Tue Feb 27 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _CONSTANTES_H
#define _CONSTANTES_H

#include <SDL.h>
#include "lista.h"
class Controlador;
class Niveles;

int GetPilotIndex(int i);
int ConfirmDialog(char *s, char *hok, char *hcancel);

typedef struct _teclas_ {
	SDLKey up;
	SDLKey down;
	SDLKey left;
	SDLKey right;
	SDLKey fire1;
	SDLKey fire2;
	int tipo_mando;
} t_Teclas;

/* Modos de juego */
typedef enum {CAMPAING_1, CAMPAING_2, SINGLE, NONE} t_Juego;

/* declaraciones generales */
#ifndef PI
#define PI 3.141592654
#endif

#define DEXTER_VERSION "Versin 0.1.6"

/* Armas */
#define DANIO_MAX 15
#define DANIO_FASER 5
#define DANIO_ION 10

/* Vidas */
#define ENEMY_LIFE 70
#define ENEMY_TORRETA_LIFE 100

/* NaveHumano */
#define MAX_ION 100
#define HUMANO_VEL 4
#define SHIP_CALENT 5
#define SHIP_WIDTH 60
#define SHIP_LIFE 150
#define FASER_X_1 20
#define FASER_X_2 -20

/* Niveles */
#define TILE_WIDTH 32
#define TILE_WIDTH_COUNT 20
#define TILE_HEIGHT_COUNT 15

/* fuentes */
#define TOTAL_FONTS 5
#define FONT_ARIAL 0
#define FONT_COMIC 1
#define FONT_LCD 2
#define FONT_CREDITS 3
#define FONT_TIMES 4

/* enemigos */
#define ENEMY_SHOT 25

#define ALIGN_H_CENTER 650
#define ALIGN_V_CENTER 490

/* Constanes Formularios */
#define T3D_IN 0
#define T3D_OUT 1

#define TEXT_LEFT 0
#define TEXT_CENTER 1
#define TEXT_RIGHT 2

/* Pilotos */
#define FERNY 0
#define JORGE 1
#define RICKY 2
#define JUANE 3
#define SAGAR 4
#define ZAFFO 5

#endif // _CONSTANTES_H
