/***************************************************************************
                          keyselect.h  -  description                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _KEYSELECT_H
#define _KEYSELECT_H

#include "graficos_lib.h"
#include "form.h"
#include "formobj.h"

class KeySelect:public FormObj {
public:
	KeySelect(Form *, int x, int y, int w, int h, int font);
	virtual ~KeySelect();

	virtual void Dibujar(bool focus);
	virtual void setFocus();

	virtual void eventKeyUp(SDL_KeyboardEvent *);

	void virtual receiveMessage(FormObj *, int);
	SDLKey Value() { return key; }
	void setValue(SDLKey k) { key_name[0] = key = k; }
protected:
	SDLKey key;
	int fuente;
	char key_name[2];
};	
#endif
