/***************************************************************************
                          menu.h  -  Pantalla de menu inicial
                             -------------------
    begin                : Sun Mar 18 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MENU_H
#define MENU_H

#define NUM_RAYOS 10

#include <stdio.h>
#include <stdlib.h>
#include "graficos_lib.h"
#include "matematica.h"
#include "form.h"
#include "checkbox.h"
#include "list.h"
#include "textfield.h"
#include "label.h"
#include "selector.h"
#include "button.h"
#include "option.h"
#include "slider.h"
#include "config_menu.h"

void DrawOption(void);

class Menu {
public:
	enum {PLAY=0, CONFIG=2,QUIT=3} res;
	Menu ();
	~Menu ();
	int Choose ();
private:
	void DrawMenu(int o=0);
	void FadeIn(int i);
	int fondo, about;		/* fondo del menu ... */
	int opts[4][7]; /* 4 opciones con 7 frames de anim cada una. 0=Off */
	int frame;
	int current_opt;
	int vel_anim;
	int vertical_pos;
	Form *form;
};

#endif
