/***************************************************************************
                          pilotos.h  -  description
                             -------------------
    begin                : Sat Feb 24 2001
    copyright            : (C) 2001 by Ricardo Markiewicz
    email                : gazerzoser@ciudad.com.ar
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _PILOTOS_H
#define _PILOTOS_H

#include "graficos_lib.h"
#include "constantes.h"
#include <iostream.h>

class Pilotos {
public:
	Pilotos(int vx, int vy, int sf, int si, int piloto, char *name);
	Pilotos(FILE *fp);
	~Pilotos();
	void Save(FILE *fp);
	inline int moveX() { return _moveX; }
	inline int moveY() { return _moveY; }
	inline int faserVel() { return _shot_faser_vel; }
	inline int ionVel() { return _shot_ion_vel; }
	inline int face() { return _face; }
	inline int Piloto() { return _pilot; }
	inline char *Name() { return _name; }
	inline long Score() { return _score; }
	inline void Score(long l) { _score=l; }
	inline int Level() { return _level; }
	inline void Level(int l) { _level = l; }
	inline void incLevel() { _level++; }
private:
	int _face; /* Imagen del piloto */
	int _moveX, _moveY;
	int _shot_faser_vel; /* -1 == Disable */
	int _shot_ion_vel;  /* -1 == Disable */
	char _name[15];
	int _pilot;
	int _level;
	long _score;
};

#endif